/* Problem URL: https://codeforces.com/problemset/problem/2103/C */

#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>

using namespace std;
using namespace __gnu_pbds;

template <class T, class comp = less<>>
using ordered_set = tree<T, null_type , comp , rb_tree_tag , tree_order_statistics_node_update>;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (int i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (int i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

const int oo = INT32_MAX >> 1;
const ll OO = INT64_MAX >> 1;


void pre()
{

}

#define TEST 1

void solve()
{
    int n;
    ll k;
    cin >> n >> k;
    vl a(n);
    cin >> a;

    vl pref(n);
    vl suf(n);

    pref[0] = (a[0] > k) - (a[0] <= k);
    suf[n - 1] = (a[n - 1] > k) - (a[n - 1] <= k);

    nrep(i, 1, n) {
        pref[i] = pref[i - 1] + (a[i] > k) - (a[i] <= k);
        suf[n - i - 1] = suf[n - i] + (a[n - i - 1] > k) - (a[n - i - 1] <= k);
    }

    set<int> sav;

    nrep(i, 1, n - 1) {
        if (suf[i + 1] > 0) {
            sav.insert(pref[i]);
            continue;
        }

        if (pref[i] <= 0) {
            cout << "YES\n";
            return;
        }

        if (sav.lower_bound(pref[i]) != sav.end()) {
            cout << "YES\n";
            return;
        }

        sav.insert(pref[i]);
    }

    sav.clear();

    for (int i = n - 2; i > 0; i--) {
        if (pref[i - 1] > 0) {
            sav.insert(suf[i]);
            continue;
        }

        if (suf[i] <= 0) {
            cout << "YES\n";
            return;
        }

        if (sav.lower_bound(suf[i]) != sav.end()) {
            cout << "YES\n";
            return;
        }

        sav.insert(suf[i]);
    }

    int sa1 = 0;
    while (sa1 < n && pref[sa1] > 0) {
        sa1++;
    }

    int sa2 = n - 1;
    while (sa2 >= 0 && suf[sa2] > 0) {
        sa2--;
    }

    if (sa1 < sa2 - 1) {
        cout << "YES\n";
        return;
    }

    cout << "NO\n";
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    pre();

    int t;
    (TEST && cin >> t) || (t = 1);
    while (t--) {
        solve();
    }
}
